#!/bin/sh
#
if [ ! -f /etc/debian_version ]; then 
    echo "Unsupported Linux Distribution. Prepared for Debian"
    exit 1
fi
################################################################################
#
#
#  Install Flatpaks @Linux Mint / Linux Mint Debian Edition
# 
# 
################################################################################
#
while :
do
clear
echo ""
echo "\033[1m I N S T A L L Flatpak @ LinuxMint22 "
echo " -----------------------------------------"
echo "\033[0m"
echo " 01.Setup Flatpak Themes"
echo " -----------------------------------------"
echo " 02.Install Flatseal"
echo " 03.Install FreeTube"
echo " 04.Install Bitwarden"
echo " 05.Install Jellyfin-Media-Player"
echo " 06.Install Lutris"
echo " 07.Install Cryptomator"
echo " 08.Install SaveDesktop"
echo " 09.Install Flatsweep"
echo " -----------------------------------------"
echo " 10.Reinstall Flatpack"
echo ""
echo " x. Exit"
echo ""
echo -n " Please enter option [01 - 10]"
read opt
case $opt in
##################################################################################
01) echo "************ Setup Flatpak Themes Arc-Dark **********************";
##################################################################################
# Step 1: Give Flatpak apps access to GTK themes and icons location
sudo cp -r /usr/share/icons/Papirus-Dark ~/.icons/
sudo cp -r /usr/share/icons/ePapirus-Dark ~/.icons/
sudo cp -r /usr/share/themes/Arc-Dark ~/.themes/

sudo flatpak override --filesystem=$HOME/.themes
sudo flatpak override --filesystem=$HOME/.icons

# Step 2: Tell Flatpak apps which theme/icon to use
sudo flatpak override --env=GTK_THEME=Arc-Dark
sudo flatpak override --env=ICON_THEME=Papirus-Dark
# sudo flatpak override --env=ICON_THEME=Papirus-Yaru-Dark
;;

##################################################################################
02) echo "************ Install Flatseal ****************";
##################################################################################
flatpak install -y flathub com.github.tchx84.Flatseal
;;

##################################################################################
03) echo "************ Install FreeTube *****************";
##################################################################################
flatpak install -y flathub io.freetubeapp.FreeTube
;;

##################################################################################
04) echo "************ Install Bitwarden ******************";
##################################################################################
flatpak install -y flathub com.bitwarden.desktop
;;

##################################################################################
05) echo "************ Install Jellyfin-Media-Player **************************";
##################################################################################
flatpak install -y flathub com.github.iwalton3.jellyfin-media-player
;;

##################################################################################
06) echo "************ Install Lutris **************************";
##################################################################################
flatpak install -y flathub net.lutris.Lutris
;;

##################################################################################
07) echo "************ Install Cryptomator **************************";
##################################################################################
flatpak install -y flathub org.cryptomator.Cryptomator
;;

##################################################################################
08) echo "************ Install SaveDesktop **************************";
##################################################################################
flatpak install -y flathub io.github.vikdevelop.SaveDesktop
;;

##################################################################################
09) echo "************ Install Flatsweep **************************";
##################################################################################
flatpak install -y flathub io.github.giantpinkrobots.flatsweep
;;

##################################################################################
10) echo "************ Reinstall Flatpack **************************";
##################################################################################
sudo apt remove -y flatpak --purge && sudo apt install -y flatpak --reinstall
sudo flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
;;

x) echo "";
exit 1;;
*) echo " Press [enter] key to continue. . .";
read enterKey;;
esac
done
